<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
Copyright (C) 2010  Paul Wolneykien <manowar@altlinux.org>

This file is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
-->
<xsl:stylesheet version="1.0"
	        xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text" encoding="UTF-8" />
<xsl:param name="dbname" select="'zabbix'" />
<xsl:param name="dbuser" select="'zabbix'" />
<xsl:param name="dbpass" select="'zabbix'" />
<xsl:template match="/">
  <xsl:for-each select="region">
    <xsl:call-template name="reset-db">
      <xsl:with-param name="dbname" select="$dbname" />
      <xsl:with-param name="dbuser" select="$dbuser" />
      <xsl:with-param name="hostname" select="ipaddr" />
      <xsl:with-param name="dbpass" select="$dbpass" />
    </xsl:call-template>
  </xsl:for-each>
  <xsl:for-each select="template">
    <xsl:call-template name="reset-db">
      <xsl:with-param name="dbname" select="$dbname" />
      <xsl:with-param name="dbuser" select="$dbuser" />
      <xsl:with-param name="dbpass" select="$dbpass" />
    </xsl:call-template>
  </xsl:for-each>
  <xsl:call-template name="select-db">
    <xsl:with-param name="dbname" select="$dbname" />
  </xsl:call-template>
</xsl:template>
</xsl:stylesheet>
